Get All User Events
curl --request POST \
--url https://api.trieve.ai/api/analytics/events/all \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"filter": {
"date_range": {
"gt": "2021-08-10T00:00:00Z",
"lt": "2021-08-11T00:00:00Z"
},
"event_type": "view",
"is_conversion": true,
"metadata_filter": "path = \"value\"",
"user_id": "user1"
},
"page": 1
}
'import requests
url = "https://api.trieve.ai/api/analytics/events/all"
payload = {
"filter": {
"date_range": {
"gt": "2021-08-10T00:00:00Z",
"lt": "2021-08-11T00:00:00Z"
},
"event_type": "view",
"is_conversion": True,
"metadata_filter": "path = \"value\"",
"user_id": "user1"
},
"page": 1
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filter: {
date_range: {gt: '2021-08-10T00:00:00Z', lt: '2021-08-11T00:00:00Z'},
event_type: 'view',
is_conversion: true,
metadata_filter: 'path = "value"',
user_id: 'user1'
},
page: 1
})
};
fetch('https://api.trieve.ai/api/analytics/events/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"created_at": "2021-08-10T00:00:00Z",
"dataset_id": "00000000-0000-0000-0000-000000000000",
"event_name": "Viewed Home Page",
"event_type": "view",
"is_conversion": true,
"items": [
"item1",
"item2"
],
"metadata": "metadata",
"request_id": "00000000-0000-0000-0000-000000000000",
"updated_at": "2021-08-10T00:00:00Z",
"user_id": "user1"
}
]
}{
"message": "Bad Request"
}Analytics
Get All User Events
This route allows you to view all user events.
POST
/
api
/
analytics
/
events
/
all
Get All User Events
Authorizations
Body
application/json
JSON request payload to filter the events
Filter to apply to the events when querying for them
Show child attributes
Show child attributes
Example:
{
"date_range": {
"gt": "2021-08-10T00:00:00Z",
"lt": "2021-08-11T00:00:00Z"
},
"event_type": "view",
"is_conversion": true,
"metadata_filter": "path = \"value\"",
"user_id": "user1"
}
Page of results to return
Required range:
x >= 0Response
The events for the request
Response body for the GetEvents endpoint
Show child attributes
Show child attributes
Was this page helpful?
⌘I